%define upstream_name    Sex
%define upstream_version 0.69

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl teaches the birds and the bees
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Heterogeneous recombination of Perl packages.

Given two (or more, I'm a liberal guy) packages, Sex.pm will recombine
their symbols at random recombining them into the new module thus providing
a cross-section of its functions and global variables. It will also push
the parent classes onto the child's @ISA array.

So you could do:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.690.0-5.mga5
+ Revision: 740461
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.690.0-4.mga5
+ Revision: 686194
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.690.0-3.mga4
+ Revision: 514616
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.690.0-2.mga3
+ Revision: 372622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.690.0-1.mga2
+ Revision: 163167
- imported package perl-Sex

